org.eclnt.fxcharts.data

## Class FXCategoryChartInfo

- java.lang.Object
- - org.eclnt.fxcharts.data.FXChartInfo
  - - org.eclnt.fxcharts.data.FXCategoryChartInfo

-     public class FXCategoryChartInfo
      extends FXChartInfo

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CHARTTYPE_BARCHART`
    `static int` | `CHARTTYPE_LINECHART`
    `static int` | `CHARTTYPE_PIECHART`
    `static int` | `CHARTTYPE_STACKEDBARCHART`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FXCategoryChartInfo()`
    `FXCategoryChartInfo(int chartType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getCategories()`
    `java.lang.String` | `getCategoryAxisLabel()`
    `int` | `getChartType()`
    `java.util.List<FXCategoryChartSeries>` | `getSeries()`
    `java.lang.String` | `getValueAxisLabel()`
    `boolean` | `isVertical()`
    `void` | `setCategories(java.util.List<java.lang.String> categories)`
    `void` | `setCategoryAxisLabel(java.lang.String categoryAxisLabel)`
    `void` | `setChartType(int chartType)`
    `void` | `setSeries(java.util.List<FXCategoryChartSeries> series)`
    `void` | `setValueAxisLabel(java.lang.String valueAxisLabel)`
    `void` | `setVertical(boolean vertical)`

    - ### Methods inherited from class org.eclnt.fxcharts.data.FXChartInfo

      `getTitle, getTitleSide, setTitle, setTitleSide`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CHARTTYPE_BARCHART

          public static final int CHARTTYPE_BARCHART

      See Also:
        Constant Field Values

    - #### CHARTTYPE_STACKEDBARCHART

          public static final int CHARTTYPE_STACKEDBARCHART

      See Also:
        Constant Field Values

    - #### CHARTTYPE_LINECHART

          public static final int CHARTTYPE_LINECHART

      See Also:
        Constant Field Values

    - #### CHARTTYPE_PIECHART

          public static final int CHARTTYPE_PIECHART

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FXCategoryChartInfo

          public FXCategoryChartInfo()

    - #### FXCategoryChartInfo

          public FXCategoryChartInfo(int chartType)

  - ### Method Detail

    - #### getChartType

          public int getChartType()

    - #### setChartType

          public void setChartType(int chartType)

    - #### isVertical

          public boolean isVertical()

    - #### setVertical

          public void setVertical(boolean vertical)

    - #### getCategories

          public java.util.List<java.lang.String> getCategories()

    - #### setCategories

          public void setCategories(java.util.List<java.lang.String> categories)

    - #### getSeries

          public java.util.List<FXCategoryChartSeries> getSeries()

    - #### setSeries

          public void setSeries(java.util.List<FXCategoryChartSeries> series)

    - #### getCategoryAxisLabel

          public java.lang.String getCategoryAxisLabel()

    - #### setCategoryAxisLabel

          public void setCategoryAxisLabel(java.lang.String categoryAxisLabel)

    - #### getValueAxisLabel

          public java.lang.String getValueAxisLabel()

    - #### setValueAxisLabel

          public void setValueAxisLabel(java.lang.String valueAxisLabel)

Copyright © CaptainCasa Gmbh. All Rights Reserved.